> For the complete documentation index, see [llms.txt](https://docs.seldon.ai/seldon-core-2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.seldon.ai/seldon-core-2/user-guide/data-science-monitoring/drift.md).

# Drift Detection

Drift detection models are treated as any other Model. You can run any saved[Alibi-Detect](https://github.com/SeldonIO/alibi-detect) drift detection model by\
adding the requirement `alibi-detect`.

An example drift detection model from the CIFAR10 image classification example is shown below:

```yaml
# samples/models/cifar10-drift-detect.yaml
apiVersion: mlops.seldon.io/v1alpha1
kind: Model
metadata:
  name: cifar10-drift
spec:
  storageUri: "gs://seldon-models/scv2/examples/mlserver_1.3.5/cifar10/drift-detector"
  requirements:
    - mlserver
    - alibi-detect
```

Usually you would run these models in an asynchronous part of a Pipeline, i.e. they are not\
connected to the output of the Pipeline which defines the synchronous path. For example, the\
CIFAR-10 image detection example uses a pipeline as shown below:

```yaml
# samples/pipelines/cifar10.yaml
apiVersion: mlops.seldon.io/v1alpha1
kind: Pipeline
metadata:
  name: cifar10-production
spec:
  steps:
    - name: cifar10
    - name: cifar10-outlier
    - name: cifar10-drift
      batch:
        size: 20
  output:
    steps:
    - cifar10
    - cifar10-outlier.outputs.is_outlier
```

Note how the `cifar10-drift` model is not part of the path to the outputs. Drift alerts can be\
read from the Kafka topic of the model.

## Examples

* [CIFAR10 image classification with drift detector](/seldon-core-2/user-guide/examples/cifar10.md)
* [Tabular income classification model with drift detector](/seldon-core-2/user-guide/examples/income.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.seldon.ai/seldon-core-2/user-guide/data-science-monitoring/drift.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
